> ## Documentation Index
> Fetch the complete documentation index at: https://developers.goevery.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Get Shipments



## OpenAPI

````yaml get /v1/shipments:batchGet
openapi: 3.1.0
info:
  version: 1.0.0
  title: every public api
servers:
  - url: https://api.goevery.co
security:
  - bearerAuth: []
paths:
  /v1/shipments:batchGet:
    get:
      parameters:
        - schema:
            type: string
            example: >-
              shipments/669883e4bb5d6ab047c1c334,shipments/669a8cba6af86466a42de2fe
          required: true
          name: names
          in: query
          description: >-
            Comma-separated list of shipment names to retrieve. A maximum of
            1000 shipments can be retrieved in a batch. Format:
            shipments/{shipment}
      responses:
        '200':
          description: Successfully fetched a batch of shipments.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchGetShipmentsResponse'
components:
  schemas:
    BatchGetShipmentsResponse:
      type: object
      properties:
        shipments:
          type: array
          items:
            $ref: '#/components/schemas/Shipment'
          description: Shipments requested in the same order as the names in the request.
      required:
        - shipments
    Shipment:
      type: object
      properties:
        name:
          type: string
          description: The unique identifier of the shipment.
          example: shipments/669a8cba6af86466a42de2fe
        createTime:
          type: string
          format: date-time
          description: The timestamp when the shipment was created.
          example: '2024-07-17T21:32:52.478Z'
        updateTime:
          type: string
          format: date-time
          description: The timestamp when the shipment was last updated.
          example: '2024-07-17T21:32:52.478Z'
        quote:
          type: string
          description: The unique identifier for the accepted quote.
          example: quotes/669986bb4ae1239d5a92cdff
        courier:
          type: string
          description: The name of the courier service handling the shipment.
          example: couriers/coordinadora
        origin:
          type: string
          description: The resource name of the selected origin location.
          example: origins/66343b5ac38abe08414dc303
        recipient:
          type: object
          properties:
            firstName:
              type: string
              description: The first name of the shipment recipient.
              example: Valentina
            lastName:
              type: string
              description: The last name of the shipment recipient.
              example: Rodríguez López
            documentType:
              type:
                - string
                - 'null'
              enum:
                - CC
                - CE
                - NI
                - TI
                - null
              description: The type of document identifying the recipient.
              example: CC
            document:
              type:
                - string
                - 'null'
              description: The document number of the recipient.
              example: '1040777098'
            email:
              type: string
              description: The email address of the recipient.
              example: valentina@gmail.com
            phoneNumber:
              type: string
              description: The phone number of the recipient.
              example: '+573193210329'
            address:
              type: object
              properties:
                regionCode:
                  type: string
                  description: >-
                    The ISO 3166-1 alpha-2 region code representing the country
                    or territory.
                  example: CO
                administrativeArea:
                  type: string
                  description: >-
                    The primary administrative division, such as a state or
                    province, within the region.
                  example: Antioquia
                locality:
                  type: string
                  description: The specific city, town, or municipality.
                  example: Abejorral
                addressLines:
                  type: array
                  items:
                    type: string
                  description: >-
                    Two lines detailing the specific street address, including
                    street name, building number, apartment or suite number, and
                    any other relevant details.
                  example:
                    - Calle 123
                    - Apto 2
                organization:
                  type: string
                  description: >-
                    The name of the organization associated with this address,
                    if applicable.
                  example: Happeett
              required:
                - regionCode
                - administrativeArea
                - locality
                - addressLines
                - organization
              description: The address details.
          required:
            - firstName
            - lastName
            - email
            - phoneNumber
            - address
          description: Details of the recipient of the shipment.
        requiresPickup:
          type: boolean
          description: Indicates whether the shipment requires pickup by the courier.
        status:
          type: string
          enum:
            - GENERATING_LABEL
            - LABEL_GENERATED
            - SCHEDULED_PICKUP
            - IN_PROGRESS
            - AT_ORIGIN_TERMINAL
            - AT_DESTINATION_TERMINAL
            - READY_FOR_PICKUP
            - OUT_FOR_DELIVERY
            - DELIVERED
            - WITH_ERROR
            - CANCELLATION_REQUESTED
            - CANCELLED
            - RETURN
          description: The current status of the shipment.
          example: LABEL_GENERATED
        label:
          type:
            - string
            - 'null'
          description: The label identifier for the shipment.
          example: '240013993254'
        labelUrl:
          type:
            - string
            - 'null'
          description: >-
            A signed URL to download the shipment label PDF. Valid for 120 hours
            (5 days).
          example: >-
            https://storage.googleapis.com/every-shipment-labels-production/690cd6eb79ac31909b2121e8.pdf?GoogleAccessId=...
        shipmentCostCents:
          type: number
          description: The cost of the shipment in cents (COP).
          example: 1700000
        cashOnDeliveryCostCents:
          type: number
          description: The cash on delivery service cost in cents (COP).
          example: 350000
        totalCostCents:
          type: number
          description: The total cost of the shipment including all fees in cents (COP).
          example: 2050000
      required:
        - name
        - createTime
        - updateTime
        - quote
        - courier
        - origin
        - recipient
        - requiresPickup
        - status
        - shipmentCostCents
        - cashOnDeliveryCostCents
        - totalCostCents
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````